This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 855504 - Ettercap 0.7.5-0.20120906gitc796e5 quite probably not built with $RPM_OPT_FLAGS
Ettercap 0.7.5-0.20120906gitc796e5 quite probably not built with $RPM_OPT_FLAGS
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: ettercap (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jon Ciesla
Fedora Extras Quality Assurance
: Regression
Depends On:
Blocks: DebugInfo
  Show dependency treegraph
 
Reported: 2012-09-08 05:27 EDT by Ville Skyttä
Modified: 2012-09-18 23:06 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-10 09:27:14 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ville Skyttä 2012-09-08 05:27:24 EDT
ettercap-debuginfo 0.7.5-0.20120906gitc796e5 doesn't contain sources, so it's quite probably not being built with $RPM_OPT_FLAGS. It's hard to tell for sure from the build log though, as the build is being done in quiet mode - no compiler command lines are present there.

Using the %cmake macro would most likely fix both issues.
https://fedoraproject.org/wiki/Packaging:Cmake

BTW, the package's release tag doesn't match the packaging guidelines for snapshot packages: https://fedoraproject.org/wiki/Packaging:NamingGuidelines#Release_Tag
Comment 1 Jon Ciesla 2012-09-10 09:11:39 EDT
I'm sorry I keep messing this up, thanks for catching it and calling me on it.

Update forthcoming.
Comment 2 Jon Ciesla 2012-09-10 09:28:57 EDT
Other branches coming, of course.
Comment 3 Fedora Update System 2012-09-10 09:41:06 EDT
ettercap-0.7.5-1.fc18.1.20120906gitc796e5 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/ettercap-0.7.5-1.fc18.1.20120906gitc796e5
Comment 4 Fedora Update System 2012-09-10 09:45:41 EDT
ettercap-0.7.5-1.fc17.1.20120906gitc796e5 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/ettercap-0.7.5-1.fc17.1.20120906gitc796e5
Comment 5 Fedora Update System 2012-09-17 20:01:36 EDT
ettercap-0.7.5-1.fc18.1.20120906gitc796e5 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2012-09-18 23:06:05 EDT
ettercap-0.7.5-1.fc17.1.20120906gitc796e5 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.